Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class Storage

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.objects.Object
            |
            +--iaik.pkcs.pkcs11.objects.Storage

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  Certificate, Data, DomainParameters, Key

public class Storage
extends Object

Objects of this class represent PKCS#11 objects of type storage as defined in PKCSC#11 2.11, but is compatible to version 2.01.

Version:
  1.0
Author:
  Karl Scheibelhofer

Inner classes inherited from class iaik.pkcs.pkcs11.objects.Object
`Object.ObjectClass, Object.VendorDefinedObjectBuilder`

Field Summary
`protected CharArrayAttribute` | `label_` The label of this object.
`protected BooleanAttribute` | `modifiable_` True, if this object is modifiable.
`protected BooleanAttribute` | `private_` True, if this is a private object.
`protected BooleanAttribute` | `token_` True, if object is a token object (not a session object).

Fields inherited from class iaik.pkcs.pkcs11.objects.Object
`attributeTable_, objectClass_, objectClassNames_, objectHandle_, vendorObjectBuilder_`

Constructor Summary
`` | `Storage()` The default constructor.
`protected` | `Storage(Session session, long objectHandle)` Constructor taking the reference to the PKCS#11 module for accessing the object's attributes, the session handle to use for reading the attribute values and the object handle.

Method Summary
`protected void` | `allocateAttributes()` Allocates the attribute objects for this class and adds them to the attribute table.
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`CharArrayAttribute` | `getLabel()` Get the label attribute of this object.
`BooleanAttribute` | `getModifiable()` Check, if this is a modifiable object.
`BooleanAttribute` | `getPrivate()` Check, if this is a private object.
`BooleanAttribute` | `getToken()` Check, if this is a token object.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`protected static void` | `putAttributesInTable(Storage object)` Put all attributes of the given object into the attributes table of this object.
`void` | `readAttributes(Session session)` Read the values of the attributes of this object from the token.
`java.lang.String` | `toString()` This method returns a string representation of the current object.

Methods inherited from class iaik.pkcs.pkcs11.objects.Object
`getAttributeTable, getAttributeValue, getAttributeValues, getInstance, getObjectClass, getObjectClassName, getObjectHandle, getSetAttributes, getSetAttributes, getUnknownObject, getVendorDefinedObjectBuilder, putAttributesInTable, setObjectHandle, setVendorDefinedObjectBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### token_

    protected BooleanAttribute token_

  True, if object is a token object (not a session object).

### private_

    protected BooleanAttribute private_

  True, if this is a private object.

### modifiable_

    protected BooleanAttribute modifiable_

  True, if this object is modifiable.

### label_

    protected CharArrayAttribute label_

  The label of this object.

Constructor Detail

### Storage

    public Storage()

  The default constructor. An application use this constructor to instanciate an object that serves as a template. It may also be useful for working with vendor-defined objects.

### Storage

    protected Storage(Session session,
                      long objectHandle)
               throws TokenException

  Constructor taking the reference to the PKCS#11 module for accessing the object's attributes, the session handle to use for reading the attribute values and the object handle. This constructor read all attributes that a storage object must contain.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Throws:
    `TokenException` - If getting the attributes failed.

Method Detail

### putAttributesInTable

    protected static void putAttributesInTable(Storage object)

  Put all attributes of the given object into the attributes table of this object. This method is only static to be able to access invoke the implementation of this method for each class separately (see use in clone()).
  Parameters:
    `object` - The object to handle.

### allocateAttributes

    protected void allocateAttributes()

  Allocates the attribute objects for this class and adds them to the attribute table.
  Overrides:
    `allocateAttributes` in class `Object`

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `Object`
  Returns:
    A clone of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### getToken

    public BooleanAttribute getToken()

  Check, if this is a token object.
  Returns:
    Its value is true, if this is an token object.

### getPrivate

    public BooleanAttribute getPrivate()

  Check, if this is a private object.
  Returns:
    Its value is true, if this is a private object.

### getModifiable

    public BooleanAttribute getModifiable()

  Check, if this is a modifiable object.
  Returns:
    Its value is true, if this is a modifiable object.

### getLabel

    public CharArrayAttribute getLabel()

  Get the label attribute of this object.
  Returns:
    Contains the label as a char array.

### readAttributes

    public void readAttributes(Session session)
                        throws TokenException

  Read the values of the attributes of this object from the token.
  Overrides:
    `readAttributes` in class `Object`
  Parameters:
    `session` - The session handle to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  Throws:
    `TokenException` - If getting the attributes failed.

### toString

    public java.lang.String toString()

  This method returns a string representation of the current object. The output is only for debugging purposes and should not be used for other purposes.
  Overrides:
    `toString` in class `Object`
  Returns:
    A string presentation of this object for debugging output.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18